From: Vagrant Cascadian <vagrant@reproducible-builds.org>
Date: Mon, 14 Dec 2020 14:25:18 -0800
Subject: Set KLAYOUT_VERSION_DATE in version.sh using value from
 SOURCE_DATE_EPOCH

Closes: 977415
Thanks: Vagrant Cascadian

Forwarded: Not-Needed
---
 version.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/version.sh b/version.sh
index 737a9f9..f0dac40 100644
--- a/version.sh
+++ b/version.sh
@@ -8,7 +8,7 @@ KLAYOUT_VERSION="0.30.1"
 KLAYOUT_PYPI_VERSION="0.30.1"
 
 # The build date
-KLAYOUT_VERSION_DATE=$(date "+%Y-%m-%d")
+KLAYOUT_VERSION_DATE=$(LC_ALL=C date --utc --date=@${SOURCE_DATE_EPOCH} "+%Y-%m-%d")
 
 # The short SHA hash of the commit
 KLAYOUT_VERSION_REV=$(git rev-parse --short HEAD 2>/dev/null)
